Bug 184510 - configure error for editors/libreoffice
Summary: configure error for editors/libreoffice
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-05 08:30 UTC by Dmitry Drobotov
Modified: 2014-08-02 05:23 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Drobotov 2013-12-05 08:30:00 UTC
I have a problem while try compile libreoffice from ports. Full output:
root@laptop:/usr/ports/editors/libreoffice # make
===>   libreoffice-4.0.6_1 depends on package: p5-Archive-Zip>=0 - found
===>   libreoffice-4.0.6_1 depends on executable: unzip - found
===>   libreoffice-4.0.6_1 depends on executable: zip - found
===>   libreoffice-4.0.6_1 depends on file: /usr/local/lib/libboost_regex.a - found
===>   libreoffice-4.0.6_1 depends on file: /usr/local/lib/libcppunit.so - found
===>   libreoffice-4.0.6_1 depends on executable: dmake - found
===>   libreoffice-4.0.6_1 depends on file: /usr/local/bin/gperf - found
===>   libreoffice-4.0.6_1 depends on package: mdds>=0.9.0 - found
===>   libreoffice-4.0.6_1 depends on executable: gpatch - found
===>   libreoffice-4.0.6_1 depends on executable: ucpp - found
===>   libreoffice-4.0.6_1 depends on executable: vigra-config - found
===>   libreoffice-4.0.6_1 depends on executable: bash - found
===>   libreoffice-4.0.6_1 depends on executable: gsed - found
===>   libreoffice-4.0.6_1 depends on executable: ant - found
===>   libreoffice-4.0.6_1 depends on file: /usr/local/share/java/classes/junit.jar - found
===>   libreoffice-4.0.6_1 depends on file: /usr/local/bin/python2.7 - found
===>   libreoffice-4.0.6_1 depends on executable: python - found
===>   libreoffice-4.0.6_1 depends on file: /usr/local/openjdk6/bin/java - found
===>   libreoffice-4.0.6_1 depends on executable: bison - found
===>   libreoffice-4.0.6_1 depends on executable: gmake - found
===>   libreoffice-4.0.6_1 depends on executable: pkgconf - found
===>   libreoffice-4.0.6_1 depends on executable: update-desktop-database - found
===>   libreoffice-4.0.6_1 depends on file: /usr/local/libdata/pkgconfig/glproto.pc - found
===>   libreoffice-4.0.6_1 depends on file: /usr/local/libdata/pkgconfig/dri2proto.pc - found
===>   libreoffice-4.0.6_1 depends on file: /usr/local/libdata/pkgconfig/glproto.pc - found
===>   libreoffice-4.0.6_1 depends on file: /usr/local/libdata/pkgconfig/dri2proto.pc - found
===>   libreoffice-4.0.6_1 depends on file: /usr/local/libdata/pkgconfig/xaw7.pc - found
===>   libreoffice-4.0.6_1 depends on file: /usr/local/libdata/pkgconfig/xrandr.pc - found
===>   libreoffice-4.0.6_1 depends on file: /usr/local/bin/automake-1.14 - found
===>   libreoffice-4.0.6_1 depends on file: /usr/local/bin/autoconf-2.69 - found
===>   libreoffice-4.0.6_1 depends on executable: gtk-update-icon-cache - found
===>   libreoffice-4.0.6_1 depends on file: /usr/local/bin/intltool-extract - found
===>   libreoffice-4.0.6_1 depends on file: /usr/local/bin/perl5.16.3 - found
===>   libreoffice-4.0.6_1 depends on shared library: libicutu.so - found
===>   libreoffice-4.0.6_1 depends on shared library: liblangtag.so - found
===>   libreoffice-4.0.6_1 depends on shared library: liborcus-0.6.so - found
===>   libreoffice-4.0.6_1 depends on shared library: libcurl.so - not found
===>    Verifying for libcurl.so in /usr/ports/ftp/curl
===>   curl-7.33.0_1 depends on file: /usr/local/bin/perl5.16.3 - found
===>  Configuring for curl-7.33.0_1
===>   FreeBSD 10 autotools fix applied to /usr/ports/ftp/curl/work/curl-7.33.0/acinclude.m4
===>   FreeBSD 10 autotools fix applied to /usr/ports/ftp/curl/work/curl-7.33.0/configure
===>   FreeBSD 10 autotools fix applied to /usr/ports/ftp/curl/work/curl-7.33.0/m4/libtool.m4
===>   FreeBSD 10 autotools fix applied to /usr/ports/ftp/curl/work/curl-7.33.0/aclocal.m4
configure: loading site script /usr/ports/Templates/config.site
checking whether to enable maintainer-specific portions of Makefiles... no
checking whether to enable debug build options... no
checking whether to enable compiler optimizer... (assumed) yes
checking whether to enable strict compiler warnings... no
checking whether to enable compiler warnings as errors... no
checking whether to enable curl debug memory tracking... no
checking whether to enable hiding of library internal symbols... yes
checking whether to enable c-ares for DNS lookups... no
checking for path separator... :
checking for sed... (cached) /usr/bin/sed
checking for grep... (cached) /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ar... /usr/bin/ar
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking for gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking whether cc understands -c and -o together... yes
checking how to run the C preprocessor... cpp
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... (cached) /bin/mkdir -p
checking for gawk... (cached) /usr/bin/awk
checking whether make sets $(MAKE)... yes
checking for style of include used by make... GNU
checking whether make supports nested variables... yes
checking dependency style of cc... gcc3
checking curl version... 7.33.0
checking build system type... amd64-portbld-freebsd10.0
checking host system type... amd64-portbld-freebsd10.0
checking for sys/types.h... (cached) yes
checking for stdint.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for grep that handles long lines and -e... (cached) /usr/bin/grep
checking for egrep... (cached) /usr/bin/egrep
checking for ANSI C header files... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking for strings.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking for unistd.h... (cached) yes
checking size of long... 8
checking size of void*... 8
checking for 64-bit curl_off_t data type... long
checking size of curl_off_t... 8
checking formatting string directive for curl_off_t... "ld"
checking formatting string directive for unsigned curl_off_t... "lu"
checking constant suffix string for curl_off_t... L
checking constant suffix string for unsigned curl_off_t... UL
checking if OS is AIX (to define _ALL_SOURCE)... no
checking if _THREAD_SAFE is already defined... no
checking if _THREAD_SAFE is actually needed... no
checking if _THREAD_SAFE is onwards defined... no
checking if _REENTRANT is already defined... no
checking if _REENTRANT is actually needed... no
checking if _REENTRANT is onwards defined... no
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking how to print strings... printf
checking for a sed that does not truncate output... (cached) /usr/bin/sed
checking for fgrep... (cached) /usr/bin/fgrep
checking for ld used by cc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... (cached) 262144
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... no
checking how to convert amd64-portbld-freebsd10.0 file names to amd64-portbld-freebsd10.0 format... func_convert_file_noop
checking how to convert amd64-portbld-freebsd10.0 file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for archiver @FILE support... no
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from cc object... ok
checking for sysroot... no
checking for mt... mt
checking if mt is a manifest tool... no
checking for dlfcn.h... (cached) yes
checking for objdir... .libs
checking if cc supports -fno-rtti -fno-exceptions... yes
checking for cc option to produce PIC... -fPIC -DPIC
checking if cc PIC flag -fPIC -DPIC works... yes
checking if cc static flag -static works... yes
checking if cc supports -c -o file.o... yes
checking if cc supports -c -o file.o... (cached) yes
checking whether the cc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... freebsd10.0 ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking whether to build shared libraries with -version-info... yes
checking whether to build shared libraries with -no-undefined... no
checking whether to build shared libraries with -mimpure-text... no
checking whether to build shared libraries with PIC... yes
checking whether to build static libraries with PIC... yes
checking whether to build shared libraries only... no
checking whether to build static libraries only... no
checking for inline... inline
checking if compiler is DEC/Compaq/HP C... no
checking if compiler is HP-UX C... no
checking if compiler is IBM C... no
checking if compiler is Intel C... no
checking if compiler is clang... yes
checking if compiler is GNU C... no
checking if compiler is LCC... no
checking if compiler is SGI MIPSpro C... no
checking if compiler is SGI MIPS C... no
checking if compiler is SunPro C... no
checking if compiler is Tiny C... no
checking if compiler is Watcom C... no
checking if compiler accepts some basic options... yes
configure: compiler options added: -Qunused-arguments 
checking if compiler accepts debug disabling options... yes
configure: compiler options added: 
checking if compiler optimizer assumed setting might be used... no
checking if compiler halts on compilation errors... yes
checking if compiler halts on negative sized arrays... yes
checking if compiler halts on function prototype mismatch... yes
checking if compiler supports hiding library internal symbols... yes
checking for windows.h... no
checking whether build target is a native Windows one... no
checking whether build target supports WIN32 file API... no
checking whether to support http... yes
checking whether to support ftp... yes
checking whether to support file... yes
checking whether to support ldap... no
checking whether to support ldaps... no
checking whether to support rtsp... yes
checking whether to support proxies... yes
checking whether to support dict... yes
checking whether to support telnet... yes
checking whether to support tftp... yes
checking whether to support pop3... yes
checking whether to support imap... yes
checking whether to support smtp... yes
checking whether to support gopher... yes
checking whether to provide built-in manual... yes
checking whether to enable generation of C code... yes
checking whether to use libgcc... no
checking if X/Open network library is required... no
checking for gethostbyname... (cached) yes
checking for strcasecmp... (cached) yes
checking for windows.h... (cached) no
checking for winsock.h... (cached) no
checking for winsock2.h... (cached) no
checking for connect in libraries... yes
checking whether time.h and sys/time.h may both be included... yes
checking for sys/types.h... (cached) yes
checking for sys/time.h... (cached) yes
checking for time.h... (cached) yes
checking for monotonic clock_gettime... yes
checking for clock_gettime in libraries... no additional lib required
checking if monotonic clock_gettime works... yes
checking for inflateEnd in -lz... yes
checking for zlib.h... (cached) yes
configure: found both libz and libz.h header
checking whether to enable ipv6... yes
checking if struct sockaddr_in6 has sin6_scope_id member... yes
checking if argv can be written to... yes
checking if SPNEGO support is requested... no
checking if GSSAPI support is requested... yes
checking gss.h usability... no
checking gss.h presence... no
checking for gss.h... no
checking gssapi/gssapi.h usability... yes
checking gssapi/gssapi.h presence... yes
checking for gssapi/gssapi.h... yes
checking for gssapi/gssapi_generic.h... no
checking for gssapi/gssapi_krb5.h... no
checking gssapi.h usability... yes
checking gssapi.h presence... yes
checking for gssapi.h... yes
checking whether to enable Windows native SSL/TLS (Windows native builds only)... no
checking whether to enable iOS/Mac OS X native SSL/TLS... no
configure: PKG_CONFIG_LIBDIR will be set to "/usr/local/libdata/pkgconfig"
checking for CRYPTO_lock in -lcrypto... no
checking for CRYPTO_add_lock in -lcrypto... no
configure: WARNING: SSL disabled, you will not be able to use HTTPS, FTPS, NTLM and more.
configure: WARNING: Use --with-ssl, --with-gnutls, --with-polarssl, --with-cyassl, --with-nss, --with-axtls, --with-winssl, or --with-darwinssl to address this.
checking default CA cert bundle/path... /usr/local/share/certs/ca-root-nss.crt
checking whether versioned symbols are wanted... no
checking whether to enable Windows native IDN (Windows native builds only)... no
checking whether to build with libidn... no
checking whether to build with nghttp2... no
checking for ANSI C header files... (cached) yes
checking for malloc.h... (cached) no
checking for memory.h... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/time.h... (cached) yes
checking for sys/select.h... (cached) yes
checking for sys/socket.h... (cached) yes
checking for sys/ioctl.h... (cached) yes
checking for sys/uio.h... yes
checking for assert.h... yes
checking for unistd.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for limits.h... (cached) yes
checking for arpa/inet.h... (cached) yes
checking for net/if.h... (cached) yes
checking for netinet/in.h... (cached) yes
checking for sys/un.h... (cached) yes
checking for netinet/tcp.h... yes
checking for netdb.h... (cached) yes
checking for sys/sockio.h... yes
checking for sys/stat.h... (cached) yes
checking for sys/param.h... (cached) yes
checking for termios.h... yes
checking for termio.h... no
checking for sgtty.h... no
checking for fcntl.h... (cached) yes
checking for alloca.h... (cached) no
checking for time.h... (cached) yes
checking for io.h... no
checking for pwd.h... (cached) yes
checking for utime.h... (cached) yes
checking for sys/utime.h... no
checking for sys/poll.h... (cached) yes
checking for poll.h... (cached) yes
checking for socket.h... no
checking for sys/resource.h... yes
checking for libgen.h... (cached) yes
checking for locale.h... yes
checking for errno.h... (cached) yes
checking for stdbool.h... (cached) yes
checking for arpa/tftp.h... yes
checking for sys/filio.h... yes
checking for sys/wait.h... (cached) yes
checking for setjmp.h... yes
checking for an ANSI C-conforming const... yes
checking for compiler support of C99 variadic macro style... yes
checking for compiler support of old gcc variadic macro style... yes
checking for size_t... (cached) yes
checking whether time.h and sys/time.h may both be included... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/time.h... (cached) yes
checking for time.h... (cached) yes
checking for sys/socket.h... (cached) yes
checking for struct timeval... yes
checking run-time libs availability... failed
configure: error: one or more libs available at link-time are not available run-time. Libs used at link-time: -lgssapi -lz 
===>  Script "configure" failed unexpectedly.
Please report the problem to sunpoet@FreeBSD.org [maintainer] and attach the
"/usr/ports/ftp/curl/work/curl-7.33.0/config.log" including the output of the
failure of your make command. Also, it might be a good idea to provide an
overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make[3]: stopped in /usr/ports/ftp/curl
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/ftp/curl
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/editors/libreoffice
*** Error code 1

Stop.
make: stopped in /usr/ports/editors/libreoffice

root@laptop:/usr/ports/editors/libreoffice # pkg info
ImageMagick-6.8.0.7_3          Image processing tools
ORBit2-2.14.19                 High-performance CORBA ORB with support for the C language
OpenEXR-2.1.0_1                High dynamic-range (HDR) image file format
aalib-1.4.r5_6                 ASCII art library
apache-ant-1.8.4               Java- and XML-based build tool, conceptually similar to make
appres-1.0.4                   Program to list application's resources
apr-1.4.8.1.5.3                Apache Portability Library
asciidoc-8.6.9                 Text document format for writing short documents and man pages
atk-2.8.0                      GNOME accessibility toolkit (ATK)
autoconf-2.69                  Automatically configure source code on many Un*x platforms
autoconf-wrapper-20130530      Wrapper script for GNU autoconf
automake-1.14                  GNU Standards-compliant Makefile generator
automake-wrapper-20130530      Wrapper script for GNU automake
avahi-app-0.6.31               Service discovery on a local network
awesome-3.5.2_1,1              A highly configurable, next generation framework window manager
bash-4.2.45                    The GNU Project's Bourne Again SHell
bdftopcf-1.0.4                 Convert X font from BDF to PCF
bigreqsproto-1.1.2             BigReqs extension headers
binutils-2.23.2                GNU binary tools
bison-2.7.1,1                  A parser generator from FSF, (mostly) compatible with Yacc
bitmap-1.0.7                   Bitmap editor and converter utilities for X
boehm-gc-7.2e                  Garbage collection and memory leak detection for C and C++
boost-jam-1.52.0_1             Build tool from the boost.org
boost-libs-1.52.0_2            Free portable C++ libraries (without Boost.Python)
bootstrap-openjdk-r333271      Oracle's Java 6 virtual machine release under the GPL v2
ca_root_nss-3.15.2_1           The root certificate bundle from the Mozilla Project
cairo-1.10.2_6,2               Vector graphics library with cross-device output support
cantarell-fonts-0.0.15         Cantarell, a Humanist sans-serif font family
cdparanoia-3.9.8_9             A CDDA extraction tool (also known as ripper)
cmake-2.8.12.1                 Cross-platform Makefile generator
cmake-modules-2.8.12.1         Modules and Templates for CMake
compat8x-amd64-8.4.804000.201310_2 A convenience package to install the compat8x libraries
compat9x-amd64-9.2.902000.201310 A convenience package to install the compat9x libraries
compositeproto-0.4.2           Composite extension headers
consolekit-0.4.3               Framework for defining and tracking users
cppunit-1.12.1_1               C++ port of the JUnit framework for unit testing
cups-client-1.5.4_1            Common UNIX Printing System: Library cups
damageproto-1.2.1              Damage extension headers
db42-4.2.52_5                  The Berkeley DB package, revision 4.2
dbus-1.6.12                    A message bus system for inter-application communication
dbus-glib-0.100.2              GLib bindings for the D-BUS messaging system
dconf-0.14.1                   Configuration database system for GNOME
dejavu-2.34                    Bitstream Vera Fonts clone with a wider range of characters
desktop-file-utils-0.22_1      Couple of command line utilities for working with desktop entries
dialog4ports-0.1.5_2           Console Interface to configure ports
dmake-4.12.2                   Another hyper make utility
dmidecode-2.12                 Tool for dumping DMI (SMBIOS) contents in human-readable format
dmxproto-2.3.1                 DMX extension headers
docbook-1.4_1                  Meta-port for the different versions of the DocBook DTD
docbook-sk-4.1.2_4             XML version of the DocBook DTD version controlled for ScrollKeeper
docbook-xml-4.2_1              XML version of the DocBook DTD
docbook-xml-4.5                DocBook/XML DTD V4.5, designed for technical documentation
docbook-xml-4.3                DocBook/XML DTD V4.3, designed for technical documentation
docbook-xml-4.4_1              DocBook/XML DTD V4.4, designed for technical documentation
docbook-xsl-1.76.1_1           XSL DocBook stylesheets
dri-9.1.7_3,2                  OpenGL hardware acceleration drivers for the DRI
dri2proto-2.8                  DRI2 prototype headers
enchant-1.6.0_2                Dictionary/spellchecking framework
encodings-1.0.4,1              X.Org Encoding fonts
evieext-1.1.1                  XEVIE extension headers
exempi-2.1.1                   A port of Adobe XMP SDK to work on UNIX
expat-2.1.0                    XML 1.0 parser written in C
fftw3-3.3.3_1                  Fast C routines to compute the Discrete Fourier Transform
fftw3-float-3.3.3_1            Fast Discrete Fourier Transform (Single Precision C Routines)
fixesproto-5.0                 Fixes extension headers
font-adobe-100dpi-1.0.3        X.Org Adobe 100dpi font
font-adobe-75dpi-1.0.3         X.Org Adobe 75dpi font
font-adobe-utopia-100dpi-1.0.4 X.Org Adobe Utopia 100dpi font
font-adobe-utopia-75dpi-1.0.4  X.Org Adobe Utopia 75dpi font
font-adobe-utopia-type1-1.0.4  X.Org Adobe Utopia Type1 font
font-alias-1.0.3               X.Org Font aliases
font-arabic-misc-1.0.3         X.Org miscellaneous Arabic fonts
font-bh-100dpi-1.0.3           X.Org Bigelow Holmes 100dpi font
font-bh-75dpi-1.0.3            X.Org Bigelow Holmes 75dpi font
font-bh-lucidatypewriter-100dpi-1.0.3 X.Org Bigelow Holmes Lucida TypeWriter 100dpi font
font-bh-lucidatypewriter-75dpi-1.0.3 X.Org Bigelow Holmes Lucida TypeWriter 75dpi font
font-bh-ttf-1.0.3              X.Org Bigelow & Holmes TTF font
font-bh-type1-1.0.3            X.Org Bigelow Holmes Type1 font
font-bitstream-100dpi-1.0.3    X.Org Bitstream Vera 100dpi font
font-bitstream-75dpi-1.0.3     X.Org Bitstream Vera 75dpi font
font-bitstream-type1-1.0.3     X.Org Bitstream Vera Type1 font
font-cronyx-cyrillic-1.0.3     X.Org Cronyx Cyrillic font
font-cursor-misc-1.0.3         X.Org miscellaneous Cursor fonts
font-daewoo-misc-1.0.3         X.Org miscellaneous Daewoo fonts
font-dec-misc-1.0.3            X.Org miscellaneous Dec fonts
font-ibm-type1-1.0.3           X.Org IBM Type1 font
font-isas-misc-1.0.3           X.Org miscellaneous ISAS fonts
font-jis-misc-1.0.3            X.Org miscellaneous JIS fonts
font-micro-misc-1.0.3          X.Org miscellaneous Micro fonts
font-misc-cyrillic-1.0.3       X.Org miscellaneous Cyrillic font
font-misc-ethiopic-1.0.3       X.Org miscellaneous Ethiopic font
font-misc-meltho-1.0.3         X.Org miscellaneous Meltho font
font-misc-misc-1.1.2           X.Org miscellaneous Misc fonts
font-mutt-misc-1.0.3           X.Org miscellaneous Mutt fonts
font-schumacher-misc-1.1.2     X.Org miscellaneous Schumacher fonts
font-screen-cyrillic-1.0.4     X.Org Screen Cyrillic font
font-sony-misc-1.0.3           X.Org miscellaneous Sony fonts
font-sun-misc-1.0.3            X.Org miscellaneous Sun fonts
font-util-1.3.0                Create an index of X font files in a directory
font-winitzki-cyrillic-1.0.3   X.Org Winitzki Cyrillic font
font-xfree86-type1-1.0.4       X.Org XFree86 Type1 font
fontcacheproto-0.1.3           Fontcache extension headers
fontconfig-2.10.95,1           XML-based font configuration API for X Windows
fontsproto-2.1.2               Fonts extension headers
freeglut-2.8.1                 An alternative to the OpenGL Utility Toolkit (GLUT) library
freetype2-2.5.0.1              Free and portable TrueType font rendering engine
gawk-4.1.0                     The GNU version of Awk
gconf2-2.32.0_3                A configuration database system for GNOME
gdbm-1.10                      GNU database manager
gdk-pixbuf2-2.28.2             Graphic library for GTK+
getopt-1.1.5                   Replacement for getopt(1) that supports GNU-style long options
gettext-0.18.3.1               GNU gettext package
ghostscript9-9.06_4            Ghostscript 9.x PostScript interpreter
giflib-4.2.3                   Tools and library routines for working with GIF images
glew-1.10.0_1                  The OpenGL Extension Wrangler Library
glib-2.36.3                    Some useful routines of C programming (current stable version)
glib-networking-2.36.2         Network-related giomodules for glib
glproto-1.4.16                 GLX extension headers
gmake-3.82_1                   GNU version of 'make' utility
gmp-5.1.3                      A free library for arbitrary precision arithmetic
gnome-doc-utils-0.20.10        GNOME doc utils
gnome-mount-0.8_11             A front-end to mount, umount, and eject using HAL
gnome_subr-1.0                 Common startup and shutdown subroutines used by GNOME scripts
gnomehier-3.0                  A utility port that creates the GNOME directory tree
gnutls-2.12.23_2               GNU Transport Layer Security library
gobject-introspection-1.36.0_2 Generate interface introspection data for GObject libraries
gperf-3.0.3                    Generates perfect hash functions for sets of keywords
graphite2-1.2.3                Rendering capabilities for complex non-Roman writing systems
gsed-4.2.2                     The GNU stream editor
gsettings-desktop-schemas-3.6.1_1 Collection of globally shared GSetting schemas
gsfonts-8.11_6                 Standard Fonts for Ghostscript
gstreamer-0.10.36              Development framework for creating media applications
gstreamer-ffmpeg-0.10.13_1     GStreamer plug-in for manipulating MPEG video streams
gstreamer-plugins-0.10.36_3,3  GStreamer written collection of plugins handling several media types
gstreamer-plugins-a52dec-0.10.19,3 Gstreamer ATSC A/52 stream aka AC-3 (dvd audio) plugin
gstreamer-plugins-bad-0.10.23,3 Bad gstreamer-plugins
gstreamer-plugins-core-0.10_13 Core set of typical audio and video gstreamer-plugins
gstreamer-plugins-dts-0.10.23,3 Gstreamer dts plugin
gstreamer-plugins-dvd-0.10.19,3 Gstreamer dvd plugin set
gstreamer-plugins-good-0.10.31,3 Good gstreamer-plugins
gstreamer-plugins-libpng-0.10.31,3 Gstreamer png plugin
gstreamer-plugins-mad-0.10.19,3 Gstreamer mp3 decoder plugin
gstreamer-plugins-mp3-0.10.0_1 Gstreamer Plugins Mp3 decoder meta-port
gstreamer-plugins-ogg-0.10.36,3 Gstreamer Ogg bitstream plugin
gstreamer-plugins-pango-0.10.36_1,3 Gstreamer pango textoverlay plugin
gstreamer-plugins-theora-0.10.36,3 Gstreamer theora plugin
gstreamer-plugins-ugly-0.10.19,3 Ugly gstreamer-plugins
gstreamer-plugins-vorbis-0.10.36,3 Gstreamer vorbis encoder/decoder plugin
gstreamer-plugins-xvid-0.10.23,3 Gstreamer xvid plugin
gtk-doc-1.18                   Code documentation system, originally for GTK+
gtk-engines2-2.20.2_1          Theme engine for the GTK+-2.0 toolkit
gtk-update-icon-cache-2.24.19  Gtk-update-icon-cache utility from the Gtk+ toolkit
gtk2-2.24.19_2                 Gimp Toolkit for X11 GUI (previous stable version)
gtkspell-2.0.16_4              A GTK+ 2 spell checking component
gvfs-1.12.3_1                  GNOME virtual file system
hal-0.5.14_22                  Hardware Abstraction Layer for simplifying device access
harfbuzz-0.9.19                OpenType text shaping engine
hdf5-1.8.10                    Hierarchical Data Format library (from NCSA)
help2man-1.43.3_1              Automatically generating simple manual pages from program output
hicolor-icon-theme-0.12        A high-color icon theme shell from the FreeDesktop project
hunspell-1.3.2_3               Improved spell-checker for Hungarian and other languages
iceauth-1.0.6                  ICE authority file utility for X
icon-naming-utils-0.8.90_1     Utilities of the Tango project
icu-50.1.2                     International Components for Unicode (from IBM)
ilmbase-2.1.0                  ILM Base libraries a.k.a. Half, IlmThread, Imath, and Iex
imlib2-1.4.5_2,2               The next generation graphics library for Enlightenment
inputproto-2.3                 Input extension headers
intltool-0.50.2                Tools to internationalize various kinds of data files
jade-1.2.1_9                   An object-oriented SGML/XML parser toolkit and DSSSL engine
jasper-1.900.1_12              An implementation of the codec specified in the JPEG-2000 standard
java-zoneinfo-2013.h           Updated Java timezone definitions
javavmwrapper-2.4_3            Wrapper script for various Java Virtual Machines
jbig2dec-0.11_1                Decoder implementation of the JBIG2 image compression format
jbigkit-1.6                    Lossless compression for bi-level images such as scanned pages, faxes
jpeg-8_4                       IJG's jpeg compression utilities
junit-4.10                     A regression testing utility for use with the Java(TM) Language
kbproto-1.0.6                  KB extension headers
krb5-1.11.3_1                  Authentication system developed at MIT, successor to Kerberos IV
lcms2-2.5                      Accurate, fast, and small-footprint color management engine
libFS-1.0.5                    The FS library
libGL-9.1.7                    OpenGL library that renders using GLX or DRI
libGLU-9.0.0                   OpenGL utility library
libICE-1.0.8,1                 Inter Client Exchange library for X11
libIDL-0.8.14_1                A library for creating trees of CORBA IDL files
libSM-1.2.2,1                  Session Management library for X11
libX11-1.6.2,1                 X11 library
libXScrnSaver-1.2.2            The XScrnSaver library
libXTrap-1.0.1                 The XTrap library
libXau-1.0.8                   Authentication Protocol library for X11
libXaw-1.0.12,2                X Athena Widgets library
libXcomposite-0.4.4,1          X Composite extension library
libXcursor-1.1.14              X client-side cursor loading library
libXdamage-1.1.4               X Damage extension library
libXdmcp-1.1.1                 X Display Manager Control Protocol library
libXevie-1.0.3                 The Xevie library
libXext-1.3.2,1                X11 Extension library
libXfixes-5.0.1                X Fixes extension library
libXfont-1.4.6,1               X font library
libXfontcache-1.0.5            The Xfontcache library
libXft-2.3.1                   Client-sided font API for X applications
libXi-1.7.2,1                  X Input extension library
libXinerama-1.1.3,1            X11 Xinerama library
libXmu-1.1.2,1                 X Miscellaneous Utilities libraries
libXp-1.0.2,1                  X print library
libXpm-3.5.11                  X Pixmap library
libXrandr-1.4.2                X Resize and Rotate extension library
libXrender-0.9.8               X Render extension library
libXres-1.0.7                  X Resource usage library
libXt-1.1.4,1                  X Toolkit library
libXtst-1.2.2                  X Test extension
libXv-1.0.10,1                 X Video Extension library
libXvMC-1.0.8                  X Video Extension Motion Compensation library
libXxf86dga-1.1.4              X DGA Extension
libXxf86misc-1.0.3             X XF86-Misc Extension
libXxf86vm-1.1.3               X Vidmode Extension
liba52-0.7.4_2                 Free library for decoding ATSC A/52 streams, aka AC-3
libcddb-1.3.2_1                A library to access data on a CDDB server
libcdio-0.83_2                 Compact Disc Input and Control Library
libcheck-0.9.11                Unit test framework for C
libcroco-0.6.8                 CSS2 parsing library
libdaemon-0.14                 Lightweight C library that eases the writing of UNIX daemons
libdca-0.0.5                   Free DTS Coherent Acoustics decoder
libdmx-1.1.3                   DMX extension library
libdrm-2.4.46                  Userspace interface to kernel Direct Rendering Module services
libdvdcss-1.2.12               Portable abstraction library for DVD decryption
libdvdread-4.2.0_2             MPlayer version of the libdvdread project
libev-4.15,1                   A full-featured and high-performance event loop library
libexif-0.6.21                 Library to read digital camera file meta-data
libffi-3.0.13                  Foreign Function Interface
libfontenc-1.1.2               The fontenc Library
libfpx-1.3.1.3                 Library routines for working with Flashpix images
libgcrypt-1.5.3                General purpose crypto library based on code used in GnuPG
libgnome-keyring-2.32.0_6      Program that keeps passwords and other secrets
libgpg-error-1.12              Common error values for all GnuPG components
libgphoto2-2.4.14_4            Universal digital camera control library
libgsf-1.14.28                 Extensible I/O abstraction for dealing with structured file formats
libid3tag-0.15.1b              ID3 tags library (part of MAD project)
libidn-1.28_1                  Internationalized Domain Names command line tool
liblangtag-0.5.1               Interface library to access tags for identifying languages
liblqr-1-0.4.1_5               An easy to use C/C++ seam carving library
libltdl-2.4.2_2                System independent dlopen wrapper
libmad-0.15.1b_2               Libmad library (part of MAD project)
libnotify-0.7.5                A library for desktop notifications
libogg-1.3.1,4                 Ogg bitstream library
liboldX-1.0.1                  Old X library
liborcus-0.5.1                 Standalone file import filter library for spreadsheet documents
libpaper-1.1.24_1              A library providing routines for paper size management
libpciaccess-0.13.2            Generic PCI access library
libproxy-0.4.6                 Library that provides automatic proxy configuration management
libpthread-stubs-0.3_4         This library provides weak aliases for pthread functions
libpurple-2.10.7_2             Backend library for the Pidgin multi-protocol messaging client
librsvg2-2.36.4                Library for parsing and rendering SVG vector-graphic files
libsigsegv-2.10                Handling page faults in user mode
libsoup-2.40.3_2               A SOAP (Simple Object Access Protocol) implementation in C
libsoup-gnome-2.40.3_3         A SOAP (Simple Object Access Protocol) implementation in C
libtasn1-3.3                   ASN.1 structure parser library
libtheora-1.1.1_3              Theora video codec for the Ogg multimedia streaming system
libtool-2.4.2_2                Generic shared library support script
libvolume_id-0.81.1            Library to provide file system type information
libvorbis-1.3.3_1,3            Audio compression codec library
libwmf-0.2.8.4_10              Tools and library for converting Microsoft WMF (windows metafile)
libxcb-1.9.1_1                 The X protocol C-language Binding (XCB) library
libxdg-basedir-1.2.0           Implementation of the XDG Base Directory specification
libxkbfile-1.0.8               XKB file library
libxkbui-1.0.2_1               The xkbui library
libxml2-2.8.0_3                XML parser library for GNOME
libxslt-1.1.28_1               The XSLT C library for GNOME
libzip-0.11.1                  C library for reading, creating, and modifying ZIP archives
lua-5.1.5_6                    Small, compilable scripting language providing easy access to C code
lua51-lgi-0.7.1_1              Lua bindings to libraries using GObject-Introspection
luit-1.1.1                     Locale and ISO 2022 support for Unicode terminals
lzlib-1.5                      In-memory LZMA compression and decompression library
m4-1.4.17,1                    GNU m4
makedepend-1.0.5,1             Dependency generator for makefiles
mate-common-1.6.2              Common automake macros for MATE
mate-desktop-1.6.1             Additional UI API for MATE
mate-doc-utils-1.6.2           MATE doc utils
mate-file-manager-1.6.2        File manager for the MATE desktop
mate-icon-theme-1.6.2          Collection of icons for the MATE desktop
mdds-0.9.1                     Multi-dimensional data index algorithm
mesa-demos-8.1.0               OpenGL demos distributed with Mesa
mkfontdir-1.0.7                Create an index of X font files in a directory
mkfontscale-1.1.1              Creates an index of scalable font files for X
mpfr-3.1.2                     A library for multiple-precision floating-point computations
nasm-2.10.09,1                 General-purpose multi-platform x86 and amd64 assembler
nettle-2.7.1                   Low-level cryptographic library
nspr-4.10.1                    A platform-neutral API for system level and libc like functions
nss-3.15.2                     Libraries to support development of security-enabled applications
open-motif-2.3.4               Motif X11 Toolkit (industry standard GUI (IEEE 1295))
openjdk6-b28_5                 Oracle's Java 6 virtual machine release under the GPL v2
orc-0.4.18                     Library and toolset to operate arrays of data
p11-kit-0.20.1                 Library for loading and enumerating of PKCS#11 modules
p5-Archive-Zip-1.34            Perl module to create, manipulate, read, and write Zip archive files
p5-Locale-gettext-1.05_3       Message handling functions
p5-XML-NamespaceSupport-1.11   Simple generic namespace support class
p5-XML-Parser-2.41_1           Perl extension interface to James Clark's XML parser, expat
p5-XML-SAX-0.99_1              Simple API for XML
p5-XML-SAX-Base-1.08           Base class SAX Drivers and Filters
p5-XML-SAX-Expat-0.50          Simple API for XML
p5-XML-Simple-2.20             Trivial API for reading and writing XML (esp config files)
pango-1.34.1_1                 An open-source framework for the layout and rendering of i18n text
patch-2.7_1                    GNU patch utility
pciids-20131130                Database of all known IDs used in PCI devices
pcre-8.33                      Perl Compatible Regular Expressions library
perl5-5.16.3_4                 Practical Extraction and Report Language
pidgin-2.10.7_1                Pidgin multi-protocol messaging client (GTK+ UI)
pixman-0.30.2                  Low-level pixel manipulation library
pkg-1.2.1                      New generation package manager
pkgconf-0.9.3                  Utility to help to configure compiler and linker flags
png-1.5.17                     Library for manipulating PNG images
policykit-0.9_6                Framework for controlling access to system-wide components
policykit-gnome-0.9.2_6        GNOME frontend to the PolicyKit framework
polkit-0.105_1                 Framework for controlling access to system-wide components
printproto-1.0.5               Print extension headers
py27-dbus-1.1.1                Python bindings for the D-BUS messaging system
py27-libxml2-2.8.0             Python interface for XML parser library for GNOME
python-2.7_1,2                 The "meta-port" for the default version of Python interpreter
python2-2_1                    The "meta-port" for version 2 of the Python interpreter
python27-2.7.6                 Interpreted object-oriented programming language
randrproto-1.4.0               Randr extension headers
rarian-0.8.1                   An OMF help system based on the Freedesktop specification
recordproto-1.14.2             RECORD extension headers
renderproto-0.11.1             RenderProto protocol headers
resourceproto-1.2.0            Resource extension headers
sakura-2.4.2_1                 Terminal emulator based on GTK and VTE
samba36-libsmbclient-3.6.20    Shared lib from the samba package
scons-2.3.0                    Build tool alternative to make
scrnsaverproto-1.2.2           ScrnSaver extension headers
sdl-1.2.15_2,2                 Cross-platform multimedia development API
serf-1.3.2_1                   Serf HTTP client library
sessreg-1.0.8                  Manage utmp/wtmp entries for non-init X clients
setxkbmap-1.3.0                Set the keyboard using the X Keyboard Extension
shared-mime-info-1.1           MIME types database from the freedesktop.org project
slim-1.3.5_3                   Graphical login manager for X11, derived from Login.app
smproxy-1.0.5                  Session Manager Proxy
sqlite3-3.8.0.2                SQL database engine in a C library
startup-notification-0.12_1    Library that supports startup notification spec from freedesktop.org
subversion-1.8.5               Version control system
svgalib-1.4.3_6                A low level console graphics library
talloc-2.0.8                   Hierarchical pool based memory allocator
tdb-1.2.12,1                   Trivial Database
tevent-0.9.18                  Talloc based event loop library
tiff-4.0.3                     Tools and library routines for working with TIFF images
trapproto-3.4.3                DEC-XTRAP extension headers
twm-1.0.8                      Tab Window Manager for the X Window System
ucpp-1.3.2                     A C preprocessor and lexer
unique-1.1.6_5                 Library for single instance applications
unzip-6.0_1                    List, test, and extract compressed files in a ZIP archive
v4l_compat-1.0.20120501_1      Video4Linux IOCTL header files
vala-0.20.1                    Programming language and compiler that converts Vala code into C code
videoproto-2.3.2               Video extension headers
vigra-1.9.0_4                  VIGRA stands for "Vision with Generic Algorithms"
vte-0.26.2_4                   Terminal widget with improved accessibility and I18N support
w3m-0.5.3_2                    A pager/text-based WWW browser
webp-0.3.1_1                   Google WebP image format conversion tool
x11perf-1.5.4                  X11 server performance test program
xauth-1.0.8                    X authority file utility
xbacklight-1.2.1               Program to adjust backlight brightness
xbitmaps-1.1.1                 X.Org bitmaps data
xcalc-1.0.5                    Scientific calculator for X
xcb-proto-1.8                  The X protocol C-language Binding (XCB) protocol
xcb-util-0.3.9_1,1             A module with libxcb/libX11 extension/replacement libraries
xcb-util-cursor-0.1.1          XCB cursor library
xcb-util-image-0.3.9           A port of Xlib's XImage and XShmImage functions
xcb-util-keysyms-0.3.9         Standard X key constants and conversion to/from keycodes
xcb-util-renderutil-0.3.8      Convenience functions for the Render extension
xcb-util-wm-0.3.9              Framework for window manager implementation
xclock-1.0.7_1                 Analog and digital clock for X
xcmiscproto-1.2.2              XCMisc extension headers
xcmsdb-1.0.4                   Device Color Characterization utility for X
xcursor-themes-1.0.4_1         X.org cursors themes
xcursorgen-1.0.5               Create an X cursor file from a collection of PNG images
xdpyinfo-1.3.1                 Display information utility for X
xdriinfo-1.0.4                 Query configuration information of DRI drivers
xev-1.2.1                      Print contents of X events
xextproto-7.2.1                XExt extension headers
xf86-input-keyboard-1.7.0      X.Org keyboard input driver
xf86-input-mouse-1.9.0         X.Org mouse input driver
xf86-video-ati-7.2.0           X.Org ati display driver
xf86-video-intel-2.21.15       Driver for Intel integrated graphics chipsets
xf86-video-mach64-6.9.4        X.Org mach64 display driver
xf86-video-nv-2.1.20_1         X.Org nv display driver
xf86-video-openchrome-0.3.3    X.Org openChrome display driver
xf86-video-vesa-2.3.3          X.Org vesa display driver
xf86bigfontproto-1.2.0         XFree86-Bigfont extension headers
xf86dgaproto-2.1               XFree86-DGA extension headers
xf86driproto-2.1.1             XFree86-DRI extension headers
xf86miscproto-0.9.3            XFree86-Misc extension headers
xf86vidmodeproto-2.3.1         XFree86-VidModeExtension extension headers
xgamma-1.0.5                   Gamma correction through the X server.
xhost-1.0.6                    Server access control program for X
xineramaproto-1.2.1            Xinerama extension headers
xinit-1.3.3,1                  X Window System initializer
xinput-1.6.1                   Very useful utility for configuring and testing XInput devices
xkbcomp-1.2.4                  Compile XKB keyboard description
xkbevd-1.1.3                   XKB event daemon
xkbutils-1.0.4                 XKB utility demos
xkeyboard-config-2.9_1         X Keyboard Configuration Database
xkill-1.0.4                    Utility for killing a client by its X resource
xlsatoms-1.1.1                 List interned atoms defined on a server
xlsclients-1.1.3               List client applications running on a display
xmessage-1.0.4                 Display message or query in a X window
xmlcatmgr-2.2                  SGML and XML catalog manager
xmlto-0.0.25_2                 Front-end to an XSL toolchain
xmodmap-1.0.8                  Utility for modifying keymaps and pointer button mappings in X
xorg-7.7                       X.Org complete distribution metaport
xorg-apps-7.7                  X.org apps meta-port
xorg-docs-1.7,1                X.org documentation files
xorg-drivers-7.7               X.org drivers meta-port
xorg-fonts-7.7                 X.org fonts meta-port
xorg-fonts-100dpi-7.7          X.Org 100dpi bitmap fonts
xorg-fonts-75dpi-7.7           X.Org 75dpi bitmap fonts
xorg-fonts-cyrillic-7.7        X.Org Cyrillic bitmap fonts
xorg-fonts-miscbitmaps-7.7     X.Org miscellaneous bitmap fonts
xorg-fonts-truetype-7.7_1      X.Org TrueType fonts
xorg-fonts-type1-7.7           X.Org Type1 fonts
xorg-libraries-7.7             X.org libraries meta-port
xorg-macros-1.17.1             X.Org development aclocal macros
xorg-server-1.12.4_4,1         X.Org X server and related programs
xpr-1.0.4                      Utility for printing an X window dump
xprop-1.2.2                    Property displayer for X
xproto-7.0.24                  X11 protocol headers
xrandr-1.4.1                   Primitive command line interface to the RandR extension
xrdb-1.1.0                     X server resource database utility
xrefresh-1.0.5                 Refresh all or part of an X screen
xset-1.2.3_1                   User preference utility for X
xsetmode-1.0.0                 Set the mode for an X Input Device
xsetroot-1.1.1                 Root window parameter setting utility for X
xterm-298                      Terminal emulator for the X Window System
xtrans-1.2.7                   Abstract network code for X
xvid-1.3.2,1                   An opensource MPEG-4 codec, based on OpenDivx
xvinfo-1.1.2                   Print out X-Video extension adaptor information
xwd-1.0.6                      Dump an image of an X window
xwininfo-1.1.3                 Window information utility for X
xwud-1.0.4                     Image displayer for X
yasm-1.2.0                     A complete rewrite of the NASM assembler
zip-3.0                        Create/update ZIP files compatible with PKZIP

root@laptop:/usr/ports/editors/libreoffice # cat /etc/src.conf 
WITHOUT_AMD=yes
WITHOUT_ATM=yes
WITHOUT_AUTHPF=yes
WITHOUT_BIND=yes
WITHOUT_BSNMP=yes
WITHOUT_CDDL=yes
WITHOUT_FLOPPY=yes
WITHOUT_FREEBSD_UPDATE=yes
WITHOUT_GAMES=yes
WITHOUT_INET6=yes
WITHOUT_INET6_SUPPORT=yes
WITHOUT_IPX=yes
WITHOUT_IPX_SUPPORT=yes
#WITHOUT_KERBEROS=yes
#WITHOUT_KERBEROS_SUPPORT=yes
WITHOUT_KERNEL_SYMBOLS=yes
WITHOUT_MAIL=yes
WITHOUT_NIS=yes
WITHOUT_NS_CACHING=yes
WITHOUT_PF=yes
WITHOUT_PROFILE=yes
WITHOUT_QUOTAS=yes
WITHOUT_GPIO=yes
WITHOUT_GPIB=yes
WITHOUT_IPFW=yes
WITHOUT_KVM=yes
WITHOUT_KVM_SUPPORT=yes
WITHOUT_SHAREDOCS=yes
WITHOUT_SYSINSTALL=yes

How-To-Repeat: cd /usr/ports/editors/libreoffice
make
Comment 1 vsjcfm 2013-12-05 09:34:13 UTC
Please look carefully at the output. Nothing to do with editors/libreoffice.
Your error comes from ftp/curl - it fails to find gssapi library. I
see that you have commented WITHOUT_KERBEROS in src.conf. But I
suspect that your currently installed system was built without
Kerberos (and of course, GSSAPI).
So you must correctly rebuild your system or disable GSSAPI support in ftp/curl.
Comment 2 Edwin Groothuis freebsd_committer 2013-12-06 14:05:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)